#### Блок управления шлифовального станка
- Проект базируется на контроллере STM32F103RBT6 (medium-density) 72 МГц, 128kB ROM, 20 kB RAM
##### LSD WH-1604 (4 строки по 16 символов)
![[lcd_wh_1604_pinout.PNG]]
![[lcd_wh_1604_rw.PNG]]
![[lcd_wh_1604_addr.PNG]]
![[lcd_wh_1604_sim.PNG|1000]]
![[lcd_wh_1604_com.PNG|1500]]
##### TODO
Написать тесты для следующих узлов:
- LED - OK
- BUZZER -
- Buttons - OK
- SPI_1
- SPI_2
- LCD - OK
- Encoder - OK
- HALL sensor
- Motors
- Temperature sensor - OK
- Uart (usart_2 Tx - PA_2, PA_3 - Rx) - ОК

##### Распиновка SWD на плате Nucleo
![[swd_nucleo.PNG]]
##### Схема устройства
![[sch04.jpg|1500]]
##### Прошивка для тестирования. Логика работы.
- Кнопки. При нажатии любой из трех кнопок оба светодиода должны мигать 3 раза.
- BUZZER. При подаче питания 3 раза издает короткий звуковой сигнал.
- LED. При подаче питания мигают три раза. Сначала мигает LED_1, а потом LED_2.
- UART. При подаче питания на скорости 115200 в консоль выводится версия прошивки работает эхо.
- Encoder. При вращении в ту или иную сторону выдает в консоль сообщение.